Bug 393421 - Review Request: kdebase-workspace - K Desktop Environment - Workspace
Summary: Review Request: kdebase-workspace - K Desktop Environment - Workspace
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-11-20 23:22 UTC by Sebastian Vahl
Modified: 2007-12-12 10:13 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-12 10:13:19 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rdieter: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)
Updated redhat-startkde patch (3.22 KB, patch)
2007-11-29 18:17 UTC, Kevin Kofler
no flags Details | Diff
Updated consolekit-kdm patch (22.55 KB, patch)
2007-11-29 18:37 UTC, Kevin Kofler
no flags Details | Diff

Description Sebastian Vahl 2007-11-20 23:22:18 UTC
Spec URL: http://svahl.fedorapeople.org/kdebase-workspace/kdebase-workspace.spec
SRPM URL: http://svahl.fedorapeople.org/kdebase-workspace/kdebase-workspace-3.96.0-7.fc9.src.rpm
Description: 
The KDE Workspace consists of what is the desktop of the KDE Desktop Environment.
It contains:
* kdm (the login manager of KDE)
* khotkeys (a hotkey daemon)
* klipper (a cut & paste history utility)
* kmenuedit (the menu editor)
* krandrtray (resize and rotate X screens)
* krunner (a command run interface)
* ksysguard (a performance monitor)
* kwin (the window manager of KDE)
* kxkb (a utility to switch keyboard maps)
* plasma (the KDE desktop, panels and widgets workspace application)
* systemsettings (the configuration editor)


Note for Reviewers: This is the core workspace for the upcoming KDE4. It is not supposed to work along to kdebase3. A proper upgrade path for kdebase3 will be provided through kdebase(4). Before this could be done, this package needs to be imported and built.

Comment 2 Rex Dieter 2007-11-28 14:39:58 UTC
OK, I'm taking a look now...

Comment 3 Rex Dieter 2007-11-28 14:40:51 UTC
I took the liberty of snagging kdebase-workspace-3.96.1-1 from the KDE4Status
page, and am touching it up a bit now, and will submit a scratch build when ready.

Comment 4 Rex Dieter 2007-11-28 18:40:27 UTC
Touched up a few things,

Spec URL: http://rdieter.fedorapeople.org/kdebase-workspace/kdebase-workspace.spec
SRPM URL:
http://rdieter.fedorapeople.org/kdebase-workspace/kdebase-workspace-3.96.1-2.src.rpm

%changelog
* Wed Nov 28 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 3.96.1-2
- %%doc README COPYING
- -libs subpkg
- -libs: Requires: kdelibs4
- don't remove libplasma.so from %%{_kde4_libdir}
- %%files: use %%_datadir for dbus-1/interfaces,xsessions

* Mon Nov 19 2007 Sebastian Vahl <fedora@deadbabylon.de> 3.96.1-1
- kde-3.96.1

Scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=263597

rpmlint output (from my own local x86_64 build):
kdebase-workspace.x86_64: W: symlink-should-be-relative
/usr/share/xsessions/kde.desktop /usr/share/kde4/apps/kdm/sessions/kde.desktop
kdebase-workspace.x86_64: E: invalid-soname /usr/lib64/libkdeinit4_khotkeys.so
libkdeinit4_khotkeys.so
kdebase-workspace.x86_64: E: invalid-soname /usr/lib64/libkdeinit4_klipper.so
libkdeinit4_klipper.so
kdebase-workspace.x86_64: E: invalid-soname /usr/lib64/libkdeinit4_kwin.so
libkdeinit4_kwin.so
kdebase-workspace.x86_64: E: invalid-soname /usr/lib64/libkdeinit4_ksysguard.so
libkdeinit4_ksysguard.so
kdebase-workspace.x86_64: E: invalid-soname /usr/lib64/libkdeinit4_kmenuedit.so
libkdeinit4_kmenuedit.so
kdebase-workspace.x86_64: E: invalid-soname /usr/lib64/libkdeinit4_ksmserver.so
libkdeinit4_ksmserver.so
kdebase-workspace.x86_64: E: invalid-soname
/usr/lib64/libkdeinit4_kwin_rules_dialog.so libkdeinit4_kwin_rules_dialog.so
kdebase-workspace.x86_64: E: invalid-soname /usr/lib64/libkdeinit4_kxkb.so
libkdeinit4_kxkb.so
kdebase-workspace.x86_64: E: invalid-soname
/usr/lib64/libkdeinit4_kcminit_startup.so libkdeinit4_kcminit_startup.so
kdebase-workspace.x86_64: E: invalid-soname
/usr/lib64/libkdeinit4_kcontroledit.so libkdeinit4_kcontroledit.so
kdebase-workspace.x86_64: E: invalid-soname /usr/lib64/libkdeinit4_kaccess.so
libkdeinit4_kaccess.so
kdebase-workspace.x86_64: E: invalid-soname /usr/lib64/libkdeinit4_kcminit.so
libkdeinit4_kcminit.so
kdebase-workspace.x86_64: W: conffile-without-noreplace-flag /etc/systemsettingsrc
kdebase-workspace-devel.x86_64: W: no-documentation
kdebase-workspace-devel.x86_64: W: dangling-relative-symlink
/usr/lib64/kde4/devel/libkdecorations.so ../../libkdecorations.so.4
kdebase-workspace-devel.x86_64: W: dangling-relative-symlink
/usr/lib64/kde4/devel/libweather_ion.so ../../libweather_ion.so.4
kdebase-workspace-devel.x86_64: W: dangling-relative-symlink
/usr/lib64/kde4/devel/libprocesscore.so ../../libprocesscore.so.4
kdebase-workspace-devel.x86_64: W: dangling-relative-symlink
/usr/lib64/kde4/devel/libsolidcontrolifaces.so ../../libsolidcontrolifaces.so.4
kdebase-workspace-devel.x86_64: W: dangling-relative-symlink
/usr/lib64/kde4/devel/libksgrd.so ../../libksgrd.so.4
kdebase-workspace-devel.x86_64: W: dangling-relative-symlink
/usr/lib64/kde4/devel/libprocessui.so ../../libprocessui.so.4
kdebase-workspace-devel.x86_64: W: dangling-relative-symlink
/usr/lib64/kde4/devel/libkwineffects.so ../../libkwineffects.so.1
kdebase-workspace-devel.x86_64: W: dangling-relative-symlink
/usr/lib64/kde4/devel/libtaskmanager.so ../../libtaskmanager.so.4
kdebase-workspace-devel.x86_64: W: dangling-relative-symlink
/usr/lib64/kde4/devel/libkworkspace.so ../../libkworkspace.so.4
kdebase-workspace-devel.x86_64: W: dangling-relative-symlink
/usr/lib64/kde4/devel/libkscreensaver.so ../../libkscreensaver.so.5
kdebase-workspace-devel.x86_64: W: dangling-relative-symlink
/usr/lib64/kde4/devel/libplasma.so ../../libplasma.so.1
kdebase-workspace-devel.x86_64: W: dangling-relative-symlink
/usr/lib64/kde4/devel/libsolidcontrol.so ../../libsolidcontrol.so.4
kdebase-workspace-devel.x86_64: E: only-non-binary-in-usr-lib
kdebase-workspace-libs.x86_64: W: no-documentation

These are all mostly harmless, I see no blockers here.

Comment 5 Rex Dieter 2007-11-28 18:47:14 UTC
Source checksum confirmed to match upstream:
510ccbe9162367ed9e4970a78162c2a8  kdebase-workspace-3.96.1.tar.bz2

scriptlets ok

Tried it out, the kde4 workspace is indeed there, and functional.  Has a lot of
rough edges, but that's not unexpected from a prerelease.  kdm needs a
configuration, but that's to be provided elsewhere (kde-settings).

Sebastian, if you're ok with my suggested fixes, I'll approve this.




Comment 6 Sebastian Vahl 2007-11-28 20:34:35 UTC
(In reply to comment #5)

> Sebastian, if you're ok with my suggested fixes, I'll approve this.

Yes, of course I'm ok with your changes. Looks good so far.


Comment 7 Rex Dieter 2007-11-29 15:23:48 UTC
me to, APPROVED.

Comment 8 Kevin Kofler 2007-11-29 18:17:15 UTC
Created attachment 273131 [details]
Updated redhat-startkde patch

Updated redhat-startkde patch (that one was easy, I'm doing kdm-consolekit
next), please apply.

Comment 9 Kevin Kofler 2007-11-29 18:37:31 UTC
Created attachment 273141 [details]
Updated consolekit-kdm patch

Updated consolekit-kdm patch, including Mandriva's fixes (ported to the KDE 4
version, i.e. Debug->debug and
NetworkAddressToHostname->networkAddressToHostname), please apply.

Comment 10 Sebastian Vahl 2007-11-29 19:55:20 UTC
(In reply to comment #7)
> me to, APPROVED.

Thx!

New Package CVS Request
=======================
Package Name: kdebase-workspace
Short Description: K Desktop Environment - Workspace
Owners: than,rdieter,kkofler,svahl
Branches: 
InitialCC: 
Cvsextras Commits: no



Comment 11 Kevin Fenzi 2007-11-30 17:32:59 UTC
cvs done.

Comment 12 Sebastian Vahl 2007-12-12 10:13:19 UTC
(In reply to comment #11)
> cvs done.

Package imported and built.




Note You need to log in before you can comment on or make changes to this bug.